CSFML

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Enumerations
Event.h File Reference
`#include <SFML/Window/Export.h>`
`#include <SFML/Window/Joystick.h>`
`#include <SFML/Window/Keyboard.h>`
`#include <SFML/Window/Mouse.h>`

Go to the source code of this file.

## Data Structures
struct | sfKeyEvent
| Keyboard event parameters. More...
struct | sfTextEvent
| Text event parameters. More...
struct | sfMouseMoveEvent
| Mouse move event parameters. More...
struct | sfMouseButtonEvent
| Mouse buttons events parameters. More...
struct | sfMouseWheelEvent
| Mouse wheel events parameters. More...
struct | sfJoystickMoveEvent
| Joystick axis move event parameters. More...
struct | sfJoystickButtonEvent
| Joystick buttons events parameters. More...
struct | sfJoystickConnectEvent
| Joystick connection/disconnection event parameters. More...
struct | sfSizeEvent
| Size events parameters. More...
union | sfEvent
| sfEvent defines a system event and its parameters More...

## Enumerations
enum | sfEventType { sfEvtClosed, sfEvtResized, sfEvtLostFocus, sfEvtGainedFocus, sfEvtTextEntered, sfEvtKeyPressed, sfEvtKeyReleased, sfEvtMouseWheelMoved, sfEvtMouseButtonPressed, sfEvtMouseButtonReleased, sfEvtMouseMoved, sfEvtMouseEntered, sfEvtMouseLeft, sfEvtJoystickButtonPressed, sfEvtJoystickButtonReleased, sfEvtJoystickMoved, sfEvtJoystickConnected, sfEvtJoystickDisconnected }
| Definition of all the event types. More...

## Enumeration Type Documentation

enum sfEventType

Definition of all the event types.

Enumerator
sfEvtClosed |
sfEvtResized |
sfEvtLostFocus |
sfEvtGainedFocus |
sfEvtTextEntered |
sfEvtKeyPressed |
sfEvtKeyReleased |
sfEvtMouseWheelMoved |
sfEvtMouseButtonPressed |
sfEvtMouseButtonReleased |
sfEvtMouseMoved |
sfEvtMouseEntered |
sfEvtMouseLeft |
sfEvtJoystickButtonPressed |
sfEvtJoystickButtonReleased |
sfEvtJoystickMoved |
sfEvtJoystickConnected |
sfEvtJoystickDisconnected |

Definition at line 40 of file Event.h.